package expr;

public abstract class Function extends Expression {

    protected final Expression argument;

    protected Function(Expression argument) {
        this.argument = argument;
    }

    @Override
    protected String asString() {
        return getName() + "(" + argument + ")";
    }

    protected abstract String getName();
}
