package machine.instructions;

import machine.ProgramExecutionState;

public class Add implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        programExecutionState.push(programExecutionState.pop().add(programExecutionState.pop()));
    }

    @Override
    public int getStackPops() {
        return 2;
    }

    @Override
    public int getStackPushes() {
        return 1;
    }
}
