package machine.instructions;

import machine.FunctionDefinition;
import machine.Program;
import machine.ProgramExecutionState;
import machine.ProgramValidationState;

public interface Instruction {

    void execute(ProgramExecutionState programExecutionState);

    int getStackPops();

    int getStackPushes();

    default boolean validate(FunctionDefinition caller, Program program, ProgramValidationState validationState) {
        return true;
    }
}
