package machine.instructions;

import machine.ProgramExecutionState;

public class Pop implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        programExecutionState.pop();
    }

    @Override
    public int getStackPops() {
        return 1;
    }

    @Override
    public int getStackPushes() {
        return 0;
    }
}
