package machine.instructions;

import expr.Variable;
import machine.ProgramExecutionState;

public class PushVariable implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        programExecutionState.push(new Variable());
    }

    @Override
    public int getStackPops() {
        return 0;
    }

    @Override
    public int getStackPushes() {
        return 1;
    }
}
