package expr;

public class Variable extends Expression {
    @Override
    public double valueAt(double x) {
        return x;
    }

    @Override
    public Expression derivative() {
        return Constant.create(1.0);
    }

    @Override
    public String asString() {
        return "x";
    }
}
