package machine.instructions;

import machine.ProgramExecutionState;

public class Cosine implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        programExecutionState.push(new expr.Cosine(programExecutionState.pop()));
    }

    @Override
    public int getStackPops() {
        return 1;
    }

    @Override
    public int getStackPushes() {
        return 1;
    }
}
