package machine.instructions;

import machine.ProgramExecutionState;

public class Derivative implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        programExecutionState.push(programExecutionState.pop().derivative());
    }

    @Override
    public int getStackPops() {
        return 1;
    }

    @Override
    public int getStackPushes() {
        return 1;
    }
}
