package machine.instructions;

import machine.ProgramExecutionState;

public class Duplicate implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        programExecutionState.push(programExecutionState.peek());
    }

    @Override
    public int getStackPops() {
        return 1;
    }

    @Override
    public int getStackPushes() {
        return 2;
    }
}
