package machine.instructions;

import machine.ProgramExecutionState;

public class Print implements Instruction {

    @Override
    public void execute(ProgramExecutionState programExecutionState) {
        System.out.println(programExecutionState.peek());
    }

    @Override
    public int getStackPops() {
        return 1;
    }

    @Override
    public int getStackPushes() {
        return 1;
    }
}
